SPI_palloc
Prev | Up | 45.3. Memory Management | Home | Next

## SPI_palloc

SPI_palloc — allocate memory in the upper executor context

## Synopsis

    void * SPI_palloc(Size size)

## Description

`SPI_palloc` allocates memory in the upper executor context.

This function can only be used while connected to SPI. Otherwise, it throws an error.

## Arguments

`Size `size``

  size in bytes of storage to allocate

## Return Value

pointer to new storage space of the specified size

Prev | Up | Next
45.3. Memory Management | Home | SPI_repalloc